#include <iostream>
#include <cstring>

using namespace std;

int main () {
   int n;

   cin >> n;

   int arr[n];

   for (int i = 0; i < n; i ++) {
        cin >> arr[i];
   }



  /* for (int i = 1; i < n; i ++) {
        for (int j = i; j < n; j ++) {
            if (arr[i] == i * i + j * j) {
                arr[i] = 1;

        }
   }*/

   for (int i = 0; i < n; i ++) {
    if (i % 2 == 0) {
        cout << "0";
    }else {
        cout << "1";
    }
   }




   return 0;
}
